﻿using Banking.Data;
using Microsoft.EntityFrameworkCore;

namespace Banking;

public class Program
{
    public static void Main(string[] args)
    {
        
        var builder = WebApplication.CreateBuilder(args);

        builder.Services.AddControllers();
        builder.Services.AddSwaggerGen();

        builder.Services.AddDbContext<BankingDbContext>(options =>
        {
            options.UseSqlite("Data Source=banking.db");
        });

        var app = builder.Build();

        app.UseSwagger();
        app.UseSwaggerUI();

        app.MapControllers();
        app.Run();
    }
}